"use strict";
exports.__esModule = true;
var cookies = require("js-cookie");
var domain = extractDomain();
function extractDomain() {
    var hostname = window.location.hostname;
    if (hostname.match(/^(?!0)(?!.*\.$)((1?\d?\d|25[0-5]|2[0-4]\d)(\.|$)){4}$/)) {
        return hostname;
    }
    else {
        return hostname.split('.').slice(-2).join('.');
    }
}
function set(key, value) {
    cookies.set(key, value, {
        domain: domain,
        expires: 90
    });
}
exports.set = set;
function has(key) {
    return cookies.get(key) !== undefined;
}
exports.has = has;
function get(key) {
    return cookies.get(key);
}
exports.get = get;
function remove(key) {
    cookies.remove(key, { domain: domain });
}
exports.remove = remove;
